/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: spinner.h 754 2007-05-26 00:05:35Z  $

#ifndef ONET_SPINNER_H
#define ONET_SPINNER_H

#include <sys/types.h>
#include <unistd.h>

namespace net_outlyer {

// The spinner is currently a hack (well, actually, it works on a too low
// level for a C++ program :P)
// This was done this way mainly because it was quicker to prototype and
// write. Will be fixed sometime.

class spinner { // FIXME: see above
    public:
        spinner() : stopped(false) {}
        ~spinner();

        void start(); // Spawn the thread
        void step();
        void stop();
    private:
        int pfd[2];
        static const char * SYMS;
        pid_t pid;
        bool stopped;
};

} // namespace net_outlyer

#endif // ONET_SPINNER_H
/* vim:set ts=4 et ai: */
